    Optically-thin recombination continuum model.

recombination

It is for use when the independent axis is in Angstroms.

>>> create_model_component("recombination", "mdl")
>>> print(mdl)

Create a component of the recombination model and display its default parameters. The output is:

mdl Param Type Value Min Max Units ----- ---- ----- --- --- ----- mdl.refer frozen 5000 1.17549e-38 3.40282e+38 angstroms mdl.ampl thawed 1 1.17549e-38 3.40282e+38 angstroms mdl.temperature thawed 3000 1.17549e-38 3.40282e+38 Kelvin mdl.fwhm thawed 100 1.17549e-38 3.40282e+38 km/s

ATTRIBUTES

The attributes for this object are:

Attribute
Definition
refer
The reference point, in Angstroms.
ampl
The amplitude of the emission; it is defined at the reference point but its numerical value there also depends on the temperature.
temperature
The temperature in Kelvin.
fwhm
The full-width half-maximum of the model in km/s.

Notes

The functional form of the model for points is:

f(x) = ampl * (refer / x)^2 * exp(-1.440E8 * (1 / x - 1 / refer) / temperature)

if x < refer

= ampl * exp(-0.5 * (x - refer)^2 / g(fwhm, refer)^2)

otherwise

g(fwhm, refer) = refer * fwhm / (2.354820044 * c)

where c is the speed of light in km/s. For integrated data sets the low-edge of the grid is used.

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023